# General Endpoints (https://developer.godaddy.com/en/docs/references/rest/transactions/general-endpoints)

***

title: General Endpoints
description: Store transactions, signatures, and references.
full: true
\_openapi:
toc:

* depth: 2
  title: Get all transactions
  url: '#get-all-transactions'
* depth: 2
  title: Get transaction by ID
  url: '#get-transaction-by-id'
  structuredData:
  headings:
  * content: Get all transactions
    id: get-all-transactions
  * content: Get transaction by ID
    id: get-transaction-by-id
    contents:
  * content: Retrieve all the transactions for a specific store using the store ID.
    heading: get-all-transactions
  * content: >-
    Retrieve all the information for a single transaction using the store
    and transaction IDs.
    heading: get-transaction-by-id

***

## GET /stores/{storeId}/transactions

Get all transactions

Retrieve all the transactions for a specific store using the store ID.

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `storeId` | string <uuid> | yes |  |

### Query parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `page` | integer | no |  |
| `pageSize` | integer | no |  |
| `totalRequired` | boolean | no |  |
| `transactionIds` | array | no | Transaction ids to filter |
| `updatedAtAfter` | string | no | Transaction filter updatedAt start date |
| `updatedAtBefore` | string | no | Transaction filter updatedAt end date |
| `sortBy` | string | no | Transaction sort field |
| `sortOrder` | string | no | Transaction sort order |

### Header parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Request Id` | string <uuid> | no |  |

### Responses

**200** — Transactions List

Content-Type: `application/json`

Schema:

- allOf(object)
  - `items`: array
      - items:
          - `type` (required): string — Discriminator field representing the type of Transaction
          - `transactionId`: string — Server generated identifier for this transaction
          - `transactionRefNum`: string <uuid> — reference number (UUID format)
          - `storeId`: string <uuid> — Store identifier for this transaction
          - `fundingSource`: oneOf(object | object | allOf(object) | allOf(object) | allOf(object) | allOf(object) | object | object | object) — Funding source
              - `sourceType` (required): string — Discriminator field representing the type of Funding source
          - `status`: string — Transaction status
            - enum: "INITIATED", "PENDING", "FAILED", "COMPLETED", "VOIDED"
          - `amount` (required): oneOf(object | object) — Transaction amount
              - `amountType` (required): string
          - `createdAt` (required): string <date-time> — Created time in RFC 3339 format
          - `voidableUntil`: string <date-time> — Time in RFC 3339 format by which this transaction can be voided.
          - `context`: object — Transaction context
              - `channelId`: string <uuid> — unique identifier (UUID format)
              - `merchantInitiatedTransaction`: boolean — True if initiated by the Merchant on behalf of the customer
          - `clientContext`: object — non-sensitive context data that can be stored and fetched by client when needed
          - `processorResponse`: oneOf(object | allOf(object)) — Processor response
              - `processorType` (required): string — Discriminator field representing the type of processor response
          - `processingInstructions`: object — Processing instructions to be used while processing transaction
              - `authOnly`: boolean — Perform authorize only and do not auto capture. Applicable only for AUTHORIZATION type payment
              - `partialAuthEnabled`: boolean — Allow partial authorizations. Applicable only for AUTHORIZATION and SALE type payment
              - `statementDescriptorSuffix`: string — Transaction-level statement descriptor suffix. It's optional field. If parent transaction has data it will be used from parent transaction. If not provided then statement descriptor suffix from device/store/business level will be used.
              - `storeAndForward`: boolean — Store and forward transaction. Used to identify if the transaction is online or offline
          - `notes`: string — Notes about transaction
          - `legacyMetadata`: object — Transaction metadata represented by legacy system
              - `actionVoid`: boolean
              - `adjusted`: boolean — This is a response only field.  This flag will be present on the transaction that was adjusted and its parents. Most processors only allow adjustment on an Authorize transaction, but some do allow adjustment on Sale or Capture too.
              - `adjustmentHistory`: array — If the transaction has been adjusted (aka updated), this list will show the details of the updates.
                  - items:
                      - `amountChanges`: oneOf(object | object) — Total amount change in this adjustment.
                          - `amountType` (required): string
                      - `amounts`: oneOf(object | object) — Total amount after this adjustment.
                          - `amountType` (required): string
                      - `createdAt`: string <date-time> — This is a response field. The server time (in ISO-8601 format) at which this transaction was initially created. E.g. 2014-09-11T23:14:44Z.
                      - `exchangeRate`: object — Exchange rate used for this adjustment.
                          - `businessId`: string
                          - `cardAmount`: integer <int64>
                          - `cardCurrency`: string
                          - `cardTipAmount`: integer <int64>
                          - `disclaimer`: string
                          - `markupInfo1`: string
                          - `markupInfo2`: string
                          - `markupPercentage`: string
                          - `provider`: string
                          - `rate`: integer <int64>
                          - `ratePrecision`: integer <int64>
                          - `requestedAt`: string <date-time>
                          - `signature`: string
                          - `tipAmount`: integer <int64>
                          - `txnAmount`: integer <int64>
                          - `txnCurrency`: string
                      - `processorResponse`: oneOf(object | allOf(object)) — This object includes some important response elements received from the processor.
                          - `processorType` (required): string — Discriminator field representing the type of processor response
                      - `reason`: object — Reason for this adjustment.
                          - `program`: string — The reason for the transaction - currently only applicable for lodging.
                            - enum: "NO_SHOW", "PURCHASE", "CARD_DEPOSIT", "DELAYED_CHARGE", "EXPRESS_SERVICE", "ASSURED_RESERVATION"
                          - `programFor`: array — Some programs require this additional programFor list to be populated.
                              - items:
                                  - enum: "RESTAURANT", "GIFT_SHOP", "MINI_BAR", "TELEPHONE", "LAUNDRY", "OTHER"
                      - `sequence`: integer — This field indicates the sequence in which this AdjustmentRecord happened in the adjustment history.
                      - `signature`: string
                      - `signatureCaptured`: boolean — Shows whether signature was captured for this adjustment.
                      - `systemTraceAuditNumber`: string
                      - `transactionNumber`: string
              - `amountsAdjusted`: boolean
              - `approvalCode`: string — An approval code received over the phone (in case of terminal going offline) can be passed here as part of a SALE transaction.  This process in the industry is often referred to as forced post or forced sale.
              - `authOnly`: boolean — This is an in/out field. If not passed, it will default to false. This tells the terminal to only authorize and wait for the merchant to capture it.
              - `chargebackStatus`: string
                - enum: "CREATED", "DISPUTED", "MERCHANT_WON", "MERCHANT_LOST"
              - `context`: object — [Required] Contains context about the transaction.  TransmissionAtLocal must be provided.  All other fields are optional.
              - `customerLanguage`: string — The customer's language preference for the transaction.
              - `customerUserId`: integer <int64> — A Poynt generated customer id that is returned in the response.  This id is only assigned only to a customer performing a card transaction.
              - `emailReceipt`: boolean
              - `intent`: string — This field is used to inform the transaction intent. Client must use this field wherever applicable for better approval rate.
                - enum: "UNSCHEDULED_COF_TXN", "RECURRING_COF_TXN", "INSTALLMENT_COF_TXN"
              - `partialAuthEnabled`: boolean
              - `partiallyApproved`: boolean
              - `paymentTokenUsed`: boolean — This means that transaction was processed with payment token.
              - `pinCaptured`: boolean
              - `poyntLoyalty`: object
                  - `externalId`: string
                  - `loyalty`: array
                      - items:
                          - `businessLoyaltyId`: integer <int64>
                          - `campaignDescription`: string
                          - `campaignName`: string
                          - `lastIncrement`: integer <int64>
                          - `loyaltyType`: string
                          - `loyaltyUnit`: string
                          - `nextTier`: string
                          - `points`: integer <int64>
                          - `pointsRequired`: integer <int64>
                          - `rewardDescription`: string
                          - `tier`: string
                          - `totalPoints`: integer <int64>
                          - `totalSpend`: integer <int64>
                          - `totalVisits`: integer <int64>
                  - `loyaltyId`: integer <int64>
                  - `reward`: array
                      - items:
                          - `businessLoyaltyId`: integer <int64>
                          - `expireAt`: string <date-time>
                          - `newReward`: boolean
                          - `postText`: string
                          - `preText`: string
                          - `rewardDescription`: string
                          - `rewardId`: integer <int64>
                          - `status`: string
                          - `type`: string
                          - `value`: integer <int64>
              - `processorOptions`: object — A name/value pair list that could be persisted and later retreived - primarily to store additional payment related data that get passed through to the processor.
              - `processorTransactionId`: string — The capability to enter a transaction id along with approval code.
              - `reason`: object — Reason for transaction - currently only applicable for lodging.
                  - `program`: string — The reason for the transaction - currently only applicable for lodging.
                    - enum: "NO_SHOW", "PURCHASE", "CARD_DEPOSIT", "DELAYED_CHARGE", "EXPRESS_SERVICE", "ASSURED_RESERVATION"
                  - `programFor`: array — Some programs require this additional programFor list to be populated.
                      - items:
                          - enum: "RESTAURANT", "GIFT_SHOP", "MINI_BAR", "TELEPHONE", "LAUNDRY", "OTHER"
              - `receiptEmailAddress`: string — Email address collected from the customer.
              - `receiptPhone`: object — Phone collected from the customer to SMS receipt.
                  - `areaCode`: string
                  - `createdAt`: string <date-time>
                  - `extensionNumber`: string
                  - `id`: integer <int64>
                  - `ituCountryCode`: string
                  - `localPhoneNumber`: string
                  - `primaryDayTime`: boolean
                  - `primaryEvening`: boolean
                  - `status`: string
                    - enum: "ADDED", "CONFIRMED"
                  - `type`: string
                    - enum: "HOME", "WORK", "BUSINESS", "MOBILE", "FAX", "PAGER", "RECEIPT", "OTHER"
                  - `updatedAt`: string <date-time>
              - `references`: array — References to orders/invoices that this transaction is for.
                  - items:
                      - `value` (required): string
                      - `type` (required): string
                      - `additionalLabel`: string — (Optional) Label that the reference points to
              - `reversalVoid`: boolean
              - `saveCardOnFile`: boolean — This boolean field is used to inform if user wants to save card on file with this transaction. Client must use this field wherever applicable for better approval rate.
              - `settled`: boolean
              - `settlementStatus`: string — Represents settlement status of transaction.
              - `shippingAddress`: object — A shipping address associated with the transaction.
                  - `city`: string
                  - `countryCode`: string
                  - `createdAt`: string <date-time> — The time (in ISO-8601 format) at which the address was created. E.g. 2014-09-11T23:14:44Z.
                  - `id`: integer <int64>
                  - `line1`: string
                  - `line2`: string
                  - `postalCode`: string
                  - `postalCodeExtension`: string
                  - `primary`: boolean
                  - `status`: string
                  - `territory`: string
                  - `territoryType`: string — TerritoryType enum and territory go hand in hand. This enum specifies what kind of territory is in the territory field. E.g. in the US, this will typically be STATE.
                    - enum: "STATE", "PROVINCE", "OTHER"
                  - `type`: string
                    - enum: "HOME", "WORK", "BUSINESS", "TRANSACTION", "OTHER"
                  - `updatedAt`: string <date-time> — The time (in ISO-8601 format) at which the address was updated. E.g. 2014-09-11T23:14:44Z.
              - `signature`: string — Signature collected from the customer.
              - `signatureCaptured`: boolean — This is a response field. This field could be used by the client to inform that signature has or will soon be captured.  The server uses this field to inform whether a signature has been captured.
              - `signatureRequired`: boolean
              - `status`: string — If funding source is CASH, only CAPTURED and REFUNDED are the possible options.  The SAVE feature is not applicable to CASH.
                - enum: "CREATED", "SAVED", "AUTHORIZED", "PENDING", "PARTIALLY_CAPTURED", "CAPTURED", "DECLINED", "PARTIALLY_CAPTURED_AND_PARTIALLY_REFUNDED", "PARTIALLY_REFUNDED", "REFUNDED", "VOIDED", "STEP_UP"
              - `stayType`: string
                - enum: "GENERAL_CONTAINER", "REGULAR_STAY", "QUICK_STAY", "NON_LODGING_SALE", "NON_LODGING_NRR"
              - `systemTraceAuditNumber`: string — This is a unique number per transaction session generated by the terminal.
              - `voided`: boolean
          - `references`: array — References to the transaction
              - items:
                  - `value` (required): string
                  - `type` (required): string
                  - `additionalLabel`: string — (Optional) Label that the reference points to
          - `links`: array — Links associated with this transaction
              - items:
                  - `href` (required): string <uri> — The complete target URL, or link, to use in combination with the method to make the related call, as defined by [RFC 6570 - URI Template](https://tools.ietf.org/html/rfc6570), with the addition of the `$`, `(`, and `)` characters for pre-processing. The `href` is the key HATEOAS component that links a completed call with a subsequent call.
                  - `rel` (required): string — The [link relation type](https://tools.ietf.org/html/rfc5988#section-4), which is an identifier for a link that unambiguously describes the semantics of the link. For values, see [Link Relationship Types](https://www.iana.org/assignments/link-relations/link-relations.xhtml).
                  - `title`: string — The link title.
                  - `targetMediaType`: string — The [RFC 2046-defined media type](https://www.ietf.org/rfc/rfc2046.txt) that describes the link target.
                  - `targetSchema`: string <uri> — The schema that describes the link target.
                  - `method`: string — The method to use to request the link target. For example, for HTTP, this might be `GET` or `DELETE`.
                  - `submissionMediaType`: string — The media type with which to submit data with the request.
                  - `submissionSchema`: string <uri> — The schema that describes the request data.

**default** — Error

Content-Type: `application/json`

Schema:

- object — The error information.
  - `name` (required): string — The human-readable, unique name of the error.
  - `correlationId` (required): string — Internal identifier used for correlation purposes.
  - `message` (required): string — The message that describes the error.
  - `informationLink`: string — The URI for detailed information related to this error for the developer.
  - `details`: array — An array of additional details about the error. Required for client-side `4XX` errors.
      - items:
          - `field`: string — The field that caused the error. If the field is in the body, set this value to the JSON pointer to that field. Required for client-side errors.
          - `value`: string — The value of the field that caused the error.
          - `location`: string — The location of the field that caused the error. Value is `body`, `path`, or `query`.
          - `issue` (required): string — The unique fine-grained application-level error code.
          - `description`: string — The human-readable description for an issue. The description MAY change over the lifetime of an API, so clients MUST NOT depend on this value.
  - `links`: array — An array of error-related HATEOAS links.
      - items:
          - `href` (required): string <uri> — The complete target URL, or link, to use in combination with the method to make the related call, as defined by [RFC 6570 - URI Template](https://tools.ietf.org/html/rfc6570), with the addition of the `$`, `(`, and `)` characters for pre-processing. The `href` is the key HATEOAS component that links a completed call with a subsequent call.
          - `rel` (required): string — The [link relation type](https://tools.ietf.org/html/rfc5988#section-4), which is an identifier for a link that unambiguously describes the semantics of the link. For values, see [Link Relationship Types](https://www.iana.org/assignments/link-relations/link-relations.xhtml).
          - `title`: string — The link title.
          - `targetMediaType`: string — The [RFC 2046-defined media type](https://www.ietf.org/rfc/rfc2046.txt) that describes the link target.
          - `targetSchema`: string <uri> — The schema that describes the link target.
          - `method`: string — The method to use to request the link target. For example, for HTTP, this might be `GET` or `DELETE`.
          - `submissionMediaType`: string — The media type with which to submit data with the request.
          - `submissionSchema`: string <uri> — The schema that describes the request data.

**Security:** requires `Oauth2`; scopes `commerce.transaction:read`.

## GET /stores/{storeId}/transactions/{transactionId}

Get transaction by ID

Retrieve all the information for a single transaction using the store and transaction IDs.

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `storeId` | string <uuid> | yes |  |
| `transactionId` | string | yes |  |

### Header parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Request Id` | string <uuid> | no |  |

### Responses

**200** — Transaction Found

Content-Type: `application/json`

Schema:

- oneOf(object | object | object | object | object) — Transaction details
  - `type` (required): string — Discriminator field representing the type of Transaction
  - `transactionId`: string — Server generated identifier for this transaction
  - `transactionRefNum`: string <uuid> — reference number (UUID format)
  - `storeId`: string <uuid> — Store identifier for this transaction
  - `fundingSource`: oneOf(object | object | allOf(object) | allOf(object) | allOf(object) | allOf(object) | object | object | object) — Funding source
      - `sourceType` (required): string — Discriminator field representing the type of Funding source
  - `status`: string — Transaction status
    - enum: "INITIATED", "PENDING", "FAILED", "COMPLETED", "VOIDED"
  - `amount` (required): oneOf(object | object) — Transaction amount
      - `amountType` (required): string
  - `createdAt` (required): string <date-time> — Created time in RFC 3339 format
  - `voidableUntil`: string <date-time> — Time in RFC 3339 format by which this transaction can be voided.
  - `context`: object — Transaction context
      - `channelId`: string <uuid> — unique identifier (UUID format)
      - `merchantInitiatedTransaction`: boolean — True if initiated by the Merchant on behalf of the customer
  - `clientContext`: object — non-sensitive context data that can be stored and fetched by client when needed
  - `processorResponse`: oneOf(object | allOf(object)) — Processor response
      - `processorType` (required): string — Discriminator field representing the type of processor response
  - `processingInstructions`: object — Processing instructions to be used while processing transaction
      - `authOnly`: boolean — Perform authorize only and do not auto capture. Applicable only for AUTHORIZATION type payment
      - `partialAuthEnabled`: boolean — Allow partial authorizations. Applicable only for AUTHORIZATION and SALE type payment
      - `statementDescriptorSuffix`: string — Transaction-level statement descriptor suffix. It's optional field. If parent transaction has data it will be used from parent transaction. If not provided then statement descriptor suffix from device/store/business level will be used.
      - `storeAndForward`: boolean — Store and forward transaction. Used to identify if the transaction is online or offline
  - `notes`: string — Notes about transaction
  - `legacyMetadata`: object — Transaction metadata represented by legacy system
      - `actionVoid`: boolean
      - `adjusted`: boolean — This is a response only field.  This flag will be present on the transaction that was adjusted and its parents. Most processors only allow adjustment on an Authorize transaction, but some do allow adjustment on Sale or Capture too.
      - `adjustmentHistory`: array — If the transaction has been adjusted (aka updated), this list will show the details of the updates.
          - items:
              - `amountChanges`: oneOf(object | object) — Total amount change in this adjustment.
                  - `amountType` (required): string
              - `amounts`: oneOf(object | object) — Total amount after this adjustment.
                  - `amountType` (required): string
              - `createdAt`: string <date-time> — This is a response field. The server time (in ISO-8601 format) at which this transaction was initially created. E.g. 2014-09-11T23:14:44Z.
              - `exchangeRate`: object — Exchange rate used for this adjustment.
                  - `businessId`: string
                  - `cardAmount`: integer <int64>
                  - `cardCurrency`: string
                  - `cardTipAmount`: integer <int64>
                  - `disclaimer`: string
                  - `markupInfo1`: string
                  - `markupInfo2`: string
                  - `markupPercentage`: string
                  - `provider`: string
                  - `rate`: integer <int64>
                  - `ratePrecision`: integer <int64>
                  - `requestedAt`: string <date-time>
                  - `signature`: string
                  - `tipAmount`: integer <int64>
                  - `txnAmount`: integer <int64>
                  - `txnCurrency`: string
              - `processorResponse`: oneOf(object | allOf(object)) — This object includes some important response elements received from the processor.
                  - `processorType` (required): string — Discriminator field representing the type of processor response
              - `reason`: object — Reason for this adjustment.
                  - `program`: string — The reason for the transaction - currently only applicable for lodging.
                    - enum: "NO_SHOW", "PURCHASE", "CARD_DEPOSIT", "DELAYED_CHARGE", "EXPRESS_SERVICE", "ASSURED_RESERVATION"
                  - `programFor`: array — Some programs require this additional programFor list to be populated.
                      - items:
                          - enum: "RESTAURANT", "GIFT_SHOP", "MINI_BAR", "TELEPHONE", "LAUNDRY", "OTHER"
              - `sequence`: integer — This field indicates the sequence in which this AdjustmentRecord happened in the adjustment history.
              - `signature`: string
              - `signatureCaptured`: boolean — Shows whether signature was captured for this adjustment.
              - `systemTraceAuditNumber`: string
              - `transactionNumber`: string
      - `amountsAdjusted`: boolean
      - `approvalCode`: string — An approval code received over the phone (in case of terminal going offline) can be passed here as part of a SALE transaction.  This process in the industry is often referred to as forced post or forced sale.
      - `authOnly`: boolean — This is an in/out field. If not passed, it will default to false. This tells the terminal to only authorize and wait for the merchant to capture it.
      - `chargebackStatus`: string
        - enum: "CREATED", "DISPUTED", "MERCHANT_WON", "MERCHANT_LOST"
      - `context`: object — [Required] Contains context about the transaction.  TransmissionAtLocal must be provided.  All other fields are optional.
      - `customerLanguage`: string — The customer's language preference for the transaction.
      - `customerUserId`: integer <int64> — A Poynt generated customer id that is returned in the response.  This id is only assigned only to a customer performing a card transaction.
      - `emailReceipt`: boolean
      - `intent`: string — This field is used to inform the transaction intent. Client must use this field wherever applicable for better approval rate.
        - enum: "UNSCHEDULED_COF_TXN", "RECURRING_COF_TXN", "INSTALLMENT_COF_TXN"
      - `partialAuthEnabled`: boolean
      - `partiallyApproved`: boolean
      - `paymentTokenUsed`: boolean — This means that transaction was processed with payment token.
      - `pinCaptured`: boolean
      - `poyntLoyalty`: object
          - `externalId`: string
          - `loyalty`: array
              - items:
                  - `businessLoyaltyId`: integer <int64>
                  - `campaignDescription`: string
                  - `campaignName`: string
                  - `lastIncrement`: integer <int64>
                  - `loyaltyType`: string
                  - `loyaltyUnit`: string
                  - `nextTier`: string
                  - `points`: integer <int64>
                  - `pointsRequired`: integer <int64>
                  - `rewardDescription`: string
                  - `tier`: string
                  - `totalPoints`: integer <int64>
                  - `totalSpend`: integer <int64>
                  - `totalVisits`: integer <int64>
          - `loyaltyId`: integer <int64>
          - `reward`: array
              - items:
                  - `businessLoyaltyId`: integer <int64>
                  - `expireAt`: string <date-time>
                  - `newReward`: boolean
                  - `postText`: string
                  - `preText`: string
                  - `rewardDescription`: string
                  - `rewardId`: integer <int64>
                  - `status`: string
                  - `type`: string
                  - `value`: integer <int64>
      - `processorOptions`: object — A name/value pair list that could be persisted and later retreived - primarily to store additional payment related data that get passed through to the processor.
      - `processorTransactionId`: string — The capability to enter a transaction id along with approval code.
      - `reason`: object — Reason for transaction - currently only applicable for lodging.
          - `program`: string — The reason for the transaction - currently only applicable for lodging.
            - enum: "NO_SHOW", "PURCHASE", "CARD_DEPOSIT", "DELAYED_CHARGE", "EXPRESS_SERVICE", "ASSURED_RESERVATION"
          - `programFor`: array — Some programs require this additional programFor list to be populated.
              - items:
                  - enum: "RESTAURANT", "GIFT_SHOP", "MINI_BAR", "TELEPHONE", "LAUNDRY", "OTHER"
      - `receiptEmailAddress`: string — Email address collected from the customer.
      - `receiptPhone`: object — Phone collected from the customer to SMS receipt.
          - `areaCode`: string
          - `createdAt`: string <date-time>
          - `extensionNumber`: string
          - `id`: integer <int64>
          - `ituCountryCode`: string
          - `localPhoneNumber`: string
          - `primaryDayTime`: boolean
          - `primaryEvening`: boolean
          - `status`: string
            - enum: "ADDED", "CONFIRMED"
          - `type`: string
            - enum: "HOME", "WORK", "BUSINESS", "MOBILE", "FAX", "PAGER", "RECEIPT", "OTHER"
          - `updatedAt`: string <date-time>
      - `references`: array — References to orders/invoices that this transaction is for.
          - items:
              - `value` (required): string
              - `type` (required): string
              - `additionalLabel`: string — (Optional) Label that the reference points to
      - `reversalVoid`: boolean
      - `saveCardOnFile`: boolean — This boolean field is used to inform if user wants to save card on file with this transaction. Client must use this field wherever applicable for better approval rate.
      - `settled`: boolean
      - `settlementStatus`: string — Represents settlement status of transaction.
      - `shippingAddress`: object — A shipping address associated with the transaction.
          - `city`: string
          - `countryCode`: string
          - `createdAt`: string <date-time> — The time (in ISO-8601 format) at which the address was created. E.g. 2014-09-11T23:14:44Z.
          - `id`: integer <int64>
          - `line1`: string
          - `line2`: string
          - `postalCode`: string
          - `postalCodeExtension`: string
          - `primary`: boolean
          - `status`: string
          - `territory`: string
          - `territoryType`: string — TerritoryType enum and territory go hand in hand. This enum specifies what kind of territory is in the territory field. E.g. in the US, this will typically be STATE.
            - enum: "STATE", "PROVINCE", "OTHER"
          - `type`: string
            - enum: "HOME", "WORK", "BUSINESS", "TRANSACTION", "OTHER"
          - `updatedAt`: string <date-time> — The time (in ISO-8601 format) at which the address was updated. E.g. 2014-09-11T23:14:44Z.
      - `signature`: string — Signature collected from the customer.
      - `signatureCaptured`: boolean — This is a response field. This field could be used by the client to inform that signature has or will soon be captured.  The server uses this field to inform whether a signature has been captured.
      - `signatureRequired`: boolean
      - `status`: string — If funding source is CASH, only CAPTURED and REFUNDED are the possible options.  The SAVE feature is not applicable to CASH.
        - enum: "CREATED", "SAVED", "AUTHORIZED", "PENDING", "PARTIALLY_CAPTURED", "CAPTURED", "DECLINED", "PARTIALLY_CAPTURED_AND_PARTIALLY_REFUNDED", "PARTIALLY_REFUNDED", "REFUNDED", "VOIDED", "STEP_UP"
      - `stayType`: string
        - enum: "GENERAL_CONTAINER", "REGULAR_STAY", "QUICK_STAY", "NON_LODGING_SALE", "NON_LODGING_NRR"
      - `systemTraceAuditNumber`: string — This is a unique number per transaction session generated by the terminal.
      - `voided`: boolean
  - `references`: array — References to the transaction
      - items:
          - `value` (required): string
          - `type` (required): string
          - `additionalLabel`: string — (Optional) Label that the reference points to
  - `links`: array — Links associated with this transaction
      - items:
          - `href` (required): string <uri> — The complete target URL, or link, to use in combination with the method to make the related call, as defined by [RFC 6570 - URI Template](https://tools.ietf.org/html/rfc6570), with the addition of the `$`, `(`, and `)` characters for pre-processing. The `href` is the key HATEOAS component that links a completed call with a subsequent call.
          - `rel` (required): string — The [link relation type](https://tools.ietf.org/html/rfc5988#section-4), which is an identifier for a link that unambiguously describes the semantics of the link. For values, see [Link Relationship Types](https://www.iana.org/assignments/link-relations/link-relations.xhtml).
          - `title`: string — The link title.
          - `targetMediaType`: string — The [RFC 2046-defined media type](https://www.ietf.org/rfc/rfc2046.txt) that describes the link target.
          - `targetSchema`: string <uri> — The schema that describes the link target.
          - `method`: string — The method to use to request the link target. For example, for HTTP, this might be `GET` or `DELETE`.
          - `submissionMediaType`: string — The media type with which to submit data with the request.
          - `submissionSchema`: string <uri> — The schema that describes the request data.

**default** — Error

Content-Type: `application/json`

Schema:

- object — The error information.
  - `name` (required): string — The human-readable, unique name of the error.
  - `correlationId` (required): string — Internal identifier used for correlation purposes.
  - `message` (required): string — The message that describes the error.
  - `informationLink`: string — The URI for detailed information related to this error for the developer.
  - `details`: array — An array of additional details about the error. Required for client-side `4XX` errors.
      - items:
          - `field`: string — The field that caused the error. If the field is in the body, set this value to the JSON pointer to that field. Required for client-side errors.
          - `value`: string — The value of the field that caused the error.
          - `location`: string — The location of the field that caused the error. Value is `body`, `path`, or `query`.
          - `issue` (required): string — The unique fine-grained application-level error code.
          - `description`: string — The human-readable description for an issue. The description MAY change over the lifetime of an API, so clients MUST NOT depend on this value.
  - `links`: array — An array of error-related HATEOAS links.
      - items:
          - `href` (required): string <uri> — The complete target URL, or link, to use in combination with the method to make the related call, as defined by [RFC 6570 - URI Template](https://tools.ietf.org/html/rfc6570), with the addition of the `$`, `(`, and `)` characters for pre-processing. The `href` is the key HATEOAS component that links a completed call with a subsequent call.
          - `rel` (required): string — The [link relation type](https://tools.ietf.org/html/rfc5988#section-4), which is an identifier for a link that unambiguously describes the semantics of the link. For values, see [Link Relationship Types](https://www.iana.org/assignments/link-relations/link-relations.xhtml).
          - `title`: string — The link title.
          - `targetMediaType`: string — The [RFC 2046-defined media type](https://www.ietf.org/rfc/rfc2046.txt) that describes the link target.
          - `targetSchema`: string <uri> — The schema that describes the link target.
          - `method`: string — The method to use to request the link target. For example, for HTTP, this might be `GET` or `DELETE`.
          - `submissionMediaType`: string — The media type with which to submit data with the request.
          - `submissionSchema`: string <uri> — The schema that describes the request data.

**Security:** requires `Oauth2`; scopes `commerce.transaction:read`.
